using ImmichToSlideshow.Models;
using ImmichToSlideshow.Services;

namespace ImmichToSlideshow.DependencyInjection;

public static class ServiceCollectionExtensions
{

    public static IServiceCollection AddServices(this IServiceCollection services, AppSettings appSettings)
    {
        _ = services.AddScoped<AssetService>();
        _ = services.AddSingleton(_ => appSettings);
        return services;
    }

}